umbrello: CPPHeaderCodeClassFieldDeclarationBlock Class Reference

umbrello 2.38.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CPPHeaderCodeClassFieldDeclarationBlock Class Reference

`#include <cppheadercodeclassfielddeclarationblock.h>`

Inheritance diagram for CPPHeaderCodeClassFieldDeclarationBlock:

## Public Member Functions
| CPPHeaderCodeClassFieldDeclarationBlock (CodeClassField *parent)
virtual | ~CPPHeaderCodeClassFieldDeclarationBlock ()
void | updateContent ()
Public Member Functions inherited from CodeClassFieldDeclarationBlock
| CodeClassFieldDeclarationBlock (CodeClassField *parent)
virtual | ~CodeClassFieldDeclarationBlock ()
CodeClassField * | getParentClassField ()
UMLObject * | getParentObject ()
virtual void | setAttributesFromObject (TextBlock *obj)
virtual void | updateContent ()=0
virtual void | saveToXMI (QXmlStreamWriter &writer)
virtual void | loadFromXMI (QDomElement &root)
Public Member Functions inherited from OwnedCodeBlock
| OwnedCodeBlock (UMLObject *parent)
virtual | ~OwnedCodeBlock ()
UMLObject * | getParentObject ()
virtual void | updateContent ()=0
Public Member Functions inherited from CodeBlockWithComments
| CodeBlockWithComments (CodeDocument *parent, const QString &body=QString(), const QString &comment=QString())
virtual | ~CodeBlockWithComments ()
void | setComment (CodeComment *object)
CodeComment * | getComment () const
virtual QString | toString () const
void | setOverallIndentationLevel (int level)
virtual void | saveToXMI (QXmlStreamWriter &writer)
virtual void | loadFromXMI (QDomElement &root)
virtual void | setAttributesFromObject (TextBlock *obj)
Public Member Functions inherited from CodeBlock
| CodeBlock (CodeDocument *parent, const QString &body=QString())
virtual | ~CodeBlock ()
void | setContentType (ContentType new_var)
ContentType | contentType () const
virtual void | saveToXMI (QXmlStreamWriter &writer)
virtual void | loadFromXMI (QDomElement &root)
virtual void | setAttributesFromObject (TextBlock *obj)
Public Member Functions inherited from TextBlock
| TextBlock (CodeDocument *parent, const QString &text=QString())
virtual | ~TextBlock ()
void | setText (const QString &text)
QString | getText () const
void | appendText (const QString &text)
void | setTag (const QString &value)
QString | getTag () const
CodeDocument * | getParentDocument () const
void | setWriteOutText (bool write)
bool | getWriteOutText () const
void | setIndentationLevel (int level)
int | getIndentationLevel () const
QString | getIndentationString (int level=0) const
virtual QString | unformatText (const QString &text, const QString &indent=QString())
virtual QString | toString () const
virtual void | saveToXMI (QXmlStreamWriter &writer)=0
virtual void | loadFromXMI (QDomElement &root)=0
bool | canDelete () const
virtual void | setAttributesFromObject (TextBlock *obj)
virtual QString | getNewEditorLine (int amount=0)
virtual int | firstEditableLine ()
virtual int | lastEditableLine ()

## Additional Inherited Members
Public Types inherited from CodeBlock
enum | ContentType { AutoGenerated =0 , UserGenerated }
Public Slots inherited from CodeClassFieldDeclarationBlock
virtual void | syncToParent ()
Public Slots inherited from OwnedCodeBlock
virtual void | syncToParent ()
Static Public Member Functions inherited from CodeBlock
static QString | enumToString (const ContentType &val)
Static Public Member Functions inherited from TextBlock
static QString | getIndentation ()
static QString | getNewLineEndingChars ()
static QString | formatMultiLineText (const QString &work, const QString &linePrefix, const QString &breakStr, bool addBreak=true, bool lastLineHasBreak=true)
static QString | encodeText (const QString &text, const QString &endLine)
static QString | decodeText (const QString &text, const QString &endLine)
Protected Member Functions inherited from CodeClassFieldDeclarationBlock
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
void | forceRelease ()
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
virtual void | setAttributesFromObject (TextBlock *obj)
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
Protected Member Functions inherited from TextBlock
void | setCanDelete (bool canDelete)
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &root)

## Constructor & Destructor Documentation

## ◆ CPPHeaderCodeClassFieldDeclarationBlock()

CPPHeaderCodeClassFieldDeclarationBlock::CPPHeaderCodeClassFieldDeclarationBlock | ( | CodeClassField * | parent | ) |
| explicit

Constructor

## ◆ ~CPPHeaderCodeClassFieldDeclarationBlock()

CPPHeaderCodeClassFieldDeclarationBlock::~CPPHeaderCodeClassFieldDeclarationBlock | ( |  | ) |
| virtual

Empty Destructor

## Member Function Documentation

## ◆ updateContent()

void CPPHeaderCodeClassFieldDeclarationBlock::updateContent | ( |  | ) |
| virtual

This will be called by syncToParent whenever the parent object is "modified"

Implements CodeClassFieldDeclarationBlock.

The documentation for this class was generated from the following files:

- umbrello/codegenerators/cpp/cppheadercodeclassfielddeclarationblock.h
- umbrello/codegenerators/cpp/cppheadercodeclassfielddeclarationblock.cpp